# API Overview

{% hint style="info" %}
[Talk to us for access to the full developer docs.](https://calendly.com/d/crfw-z9w-nsx/talk-to-us)
{% endhint %}

Orby is an orchestration layer for onchain actions that enables wallets, exchanges, platforms, and agents to offer one-click transactions, gas abstraction, chain abstraction, stablecoin abstraction, and the use of off-chain balances. It enables this by providing developers with custom APIs that enable special functionality. The Orby API can be grouped into two overarching categories, both of which are supported by every Orby virtual node.

1. **Orby Custom API**: The Orby Custom API comprises all functions that enable the Orby magic to happen. This includes API for one-click transactions, gas abstraction, chain abstraction, stablecoin abstraction, and off-chain balances.  It also comes with an API for abstracted data, streamlining the process of building user-friendly products.
2. **EVM Client API:** As the name suggests, the EVM Client API consists of the default functions supported by clients of EVM blockchains.  This includes the likes of eth\_blockNumber, eth\_getBlockByHash, etc.
3. **SVM Client API**: Similar to the EVM client API, the SVM client API comprises the default functions supported by SVM blockchain clients.  This includes functions such as getAccountInfo, getMultipleAccounts, and getVersion, among others.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-orby.orblabs.xyz/orby-api/api-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
